Subject: [tcpm] draft-ietf-tcpm-rfc793bis-14: options

From: <[email-masked]>
Date: Wed, 31 Jul 2019 06:26:48 +0000

Hi Wes, 

Below some comments about the options as described in Section 3.1: 

* Consider adding some text to ACK the TCP option space problem. Adding a pointer to EDO as * an example * (without recommending it) of how to extend the space for non-SYNs would be useful.
* Add an explicit statement about 253/254 as being reserved for experiments with a strong recommendation to make use of shared ExIDs. 
* What about obsoleting (?) 6994 and incorporating its main contribution as part of 793bis?

Cheers,
Med

> -----Message d'origine-----
> De : I-D-Announce [mailto:[email-masked]] De la part de
> [email-masked]
> Envoyé : mardi 30 juillet 2019 19:47
> À : [email-masked]
> Cc : [email-masked]
> Objet : I-D Action: draft-ietf-tcpm-rfc793bis-14.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the TCP Maintenance and Minor Extensions WG
> of the IETF.
> 
>         Title           : Transmission Control Protocol Specification
>         Author          : Wesley M. Eddy
> 	Filename        : draft-ietf-tcpm-rfc793bis-14.txt
> 	Pages           : 104
> 	Date            : 2019-07-30
> 
> Abstract:
>    This document specifies the Internet's Transmission Control Protocol
>    (TCP).  TCP is an important transport layer protocol in the Internet
>    stack, and has continuously evolved over decades of use and growth of
>    the Internet.  Over this time, a number of changes have been made to
>    TCP as it was specified in RFC 793, though these have only been
>    documented in a piecemeal fashion.  This document collects and brings
>    those changes together with the protocol specification from RFC 793.
>    This document obsoletes RFC 793, as well as 879, 2873, 6093, 6429,
>    6528, and 6691 that updated parts of RFC 793.  It updates RFC 1122,
>    and should be considered as a replacement for the portions of that
>    document dealing with TCP requirements.  It updates RFC 5961 due to a
>    small clarification in reset handling while in the SYN-RECEIVED
>    state.
> 
>    RFC EDITOR NOTE: If approved for publication as an RFC, this should
>    be marked additionally as "STD: 7" and replace RFC 793 in that role.
> 
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-tcpm-rfc793bis/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-tcpm-rfc793bis-14
> https://datatracker.ietf.org/doc/html/draft-ietf-tcpm-rfc793bis-14
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-tcpm-rfc793bis-14
> 
> 
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Joe Touch <[email-masked]>
Date: Wed, 31 Jul 2019 11:50:56 -0700

Based on the defined scope and approach of 793bis, as stated in its
intro: 

> * Consider adding some text to ACK the TCP option space problem. Adding a pointer to EDO as * an example * (without recommending it) of how to extend the space for non-SYNs would be useful.

It would be useful to mention the ongoing work, but not to try to repeat
it. 

> * Add an explicit statement about 253/254 as being reserved for experiments with a strong recommendation to make use of shared ExIDs.

It would be useful to note their being assigned for that purpose (not
quite RESERVED) and to ref 6994 for further details. 

Given the focus of this updated is standards-track, it would be useful
to remind developers not to deploy options using those codepoints
outside carefully controlled experiments and that they are default to
being not enabled in any code not under direct control of the
developers. 

However... 

> * What about obsoleting (?) 6994 and incorporating its main contribution as part of 793bis?

I disagree. First, 6994 is not being obsoleted per se; second, others
refer to its approach for other similar experimental fields. It would be
a bad idea to try to "obsolete" it. 

I also don't think it's useful to include these details inside 793bis -
these are not details needed for standards-compliant operation (esp.
because they shouldn't be used for final standards-track options). 

IMO, 6994 is a lot like congestion control; OK, if not better, as a
separate doc. 

Joe 

> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: Wesley Eddy <[email-masked]>
Date: Wed, 31 Jul 2019 17:21:57 -0400

With editor hat on, I fully agree with what Joe said.

On 7/31/2019 2:50 PM, Joe Touch wrote:
>
> Based on the defined scope and approach of 793bis, as stated in its intro:
>
>> * Consider adding some text to ACK the TCP option space problem. 
>> Adding a pointer to EDO as * an example * (without recommending it) 
>> of how to extend the space for non-SYNs would be useful.
> It would be useful to mention the ongoing work, but not to try to 
> repeat it.
>> * Add an explicit statement about 253/254 as being reserved for 
>> experiments with a strong recommendation to make use of shared ExIDs.
> being not enabled in any code not under direct control of the developers.
> However...
> refer to its approach for other similar experimental fields. It would 
> be a bad idea to try to "obsolete" it.
> I also don't think it's useful to include these details inside 793bis 
> - these are not details needed for standards-compliant operation (esp.

---

From: <[email-masked]>
Date: Thu, 1 Aug 2019 05:38:47 +0000

Hi Joe,

Please see inline.

Cheers,
Med

De : Joe Touch [mailto:[email-masked]]
Envoyé : mercredi 31 juillet 2019 20:51
À : BOUCADAIR Mohamed TGI/OLN
Cc : Wesley Eddy; [email-masked]
Objet : Re: [tcpm] draft-ietf-tcpm-rfc793bis-14: options

It would be useful to mention the ongoing work, but not to try to repeat it.

[Med] Yes, this is what I had in mind.

It would be useful to note their being assigned for that purpose (not quite RESERVED)

[Med] Indeed.

and to ref 6994 for further details.

Given the focus of this updated is standards-track, it would be useful to remind developers not to deploy options using those codepoints outside carefully controlled experiments and that they are default to being not enabled in any code not under direct control of the developers.

[Med] Sounds reasonable.

However...

I disagree. First, 6994 is not being obsoleted per se; second, others refer to its approach for other similar experimental fields. It would be a bad idea to try to "obsolete" it.

[Med] This is not a problem. These documents can refer to RFC793bis (if we go that path). BTW, please note (?) in my initial comment, so I’m fine if the WG decides to maintain it, but …

[Med] What I had in mind is to import the option layout and key information into 793bis. What I’m hoping with this change is to avoid having discussion similar to https://mailarchive.ietf.org/arch/msg/tcpinc/fVCnrvMouTdeIuwTytoBRNmztHU (end of the message) each time a new option is discussed.

- these are not details needed for standards-compliant operation

[Med] I’m not sure to parse this comment. RFC6994 is a standard track RFC.

(esp. because they shouldn't be used for final standards-track options).

IMO, 6994 is a lot like congestion control; OK, if not better, as a separate doc.

[Med] That’s OK to maintain it, but there is a value to extract the main messages and incorporate them into 793bis.

Joe

Cheers,
Med

-----Message d'origine-----
De : I-D-Announce [mailto:[email-masked]<mailto:[email-masked]>] De la part de
[email-masked]<mailto:[email-masked]>
Envoyé : mardi 30 juillet 2019 19:47
À : [email-masked]<mailto:[email-masked]>
Cc : [email-masked]<mailto:[email-masked]>
Objet : I-D Action: draft-ietf-tcpm-rfc793bis-14.txt

Abstract:

[email-masked]<mailto:[email-masked]>

_______________________________________________
tcpm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/tcpm